This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1002994 - (QMsgBox) Review Request: QMsgBox - Solves a problem that prevents qt message icons from being displayed
Review Request: QMsgBox - Solves a problem that prevents qt message icons fro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IQmol
  Show dependency treegraph
 
Reported: 2013-08-30 08:37 EDT by Susi Lehtola
Modified: 2013-11-30 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version: QMsgBox-0-1.20130830git94677dc.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2013-08-30 08:37:41 EDT
Spec URL: http://theory.physics.helsinki.fi/~jzlehtol/rpms/QMsgBox.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/QMsgBox-0-1.20130830git94677dc.fc19.src.rpm

Description:
QMsgBox is a class that inherits QMessageBox to replace the static
functions:
* QMessageBox::warning
* QMessageBox::information
* QMessageBox::critical
* QMessageBox::question 

All other functions remain the same. The usage of the replaced
function also remains the same.

The objective of this class is to solve a problem that prevents the
message icon from being displayed in some platforms with some Qt
styles.


Fedora Account System Username: jussilehtola


rpmlint output:
QMsgBox-devel.x86_64: W: no-documentation
QMsgBox.src:43: W: rpm-buildroot-usage %prep sed -i "s|target.path = /usr/lib|target.path = %{buildroot}%{_libdir}|g" src/src.pro
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

These are non-issues.
Comment 1 Thomas Spura 2013-11-13 08:32:02 EST
Package Review
==============

Package looks just fine and can be directly approved.
There is only a minor "improvement". Please use this sed command, instead of your one to correctly install into _libdir:
sed -i "s|target.path = .*|target.path = %{buildroot}%{_libdir}|g" src/src.pro


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". Detailed output of licensecheck in
     /home/tomspur/scratch/reviews/qmsgbox/1002994-QMsgBox/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
text is there!
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
Will be tested as dependency of IQmol.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: QMsgBox-0-1.20130830git94677dc.fc20.x86_64.rpm
          QMsgBox-devel-0-1.20130830git94677dc.fc20.x86_64.rpm
          QMsgBox-0-1.20130830git94677dc.fc20.src.rpm
QMsgBox-devel.x86_64: W: no-documentation
QMsgBox.src:43: W: rpm-buildroot-usage %prep sed -i "s|target.path = /usr/lib|target.path = %{buildroot}%{_libdir}|g" src/src.pro
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint QMsgBox QMsgBox-devel
QMsgBox.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQMsgBox.so.1.0.0 /lib64/libpthread.so.0
QMsgBox.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQMsgBox.so.1.0.0 /lib64/libm.so.6
QMsgBox-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
QMsgBox (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

QMsgBox-devel (rpmlib, GLIBC filtered):
    QMsgBox(x86-64)
    libQMsgBox.so.1()(64bit)



Provides
--------
QMsgBox:
    QMsgBox
    QMsgBox(x86-64)
    libQMsgBox.so.1()(64bit)

QMsgBox-devel:
    QMsgBox-devel
    QMsgBox-devel(x86-64)



Source checksums
----------------
https://github.com/croscato/QMsgBox/tarball/94677dc52fe1c2ea6fe42bd5acdbddab755eeb0b/croscato-QMsgBox-94677dc.tar.gz :
  CHECKSUM(SHA256) this package     : 97f5ba6d74eab23ef47823c4f1bff6c607cee9a92ab605411b77ff4703474370
  CHECKSUM(SHA256) upstream package : 97f5ba6d74eab23ef47823c4f1bff6c607cee9a92ab605411b77ff4703474370


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1002994
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 Susi Lehtola 2013-11-13 09:00:18 EST
Thanks for the review!
I've changed the sed command to match your suggestion.

New Package SCM Request
=======================
Package Name: QMsgBox
Short Description: Solves a problem that prevents qt message icons from being displayed
Owners: jussilehtola
Branches: F-18 F-19 F-20 EL-6
InitialCC:
Comment 3 Gwyn Ciesla 2013-11-13 09:10:50 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-11-13 10:48:42 EST
QMsgBox-0-1.20130830git94677dc.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/QMsgBox-0-1.20130830git94677dc.fc19
Comment 5 Fedora Update System 2013-11-13 10:48:53 EST
QMsgBox-0-1.20130830git94677dc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/QMsgBox-0-1.20130830git94677dc.el6
Comment 6 Fedora Update System 2013-11-13 10:49:02 EST
QMsgBox-0-1.20130830git94677dc.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/QMsgBox-0-1.20130830git94677dc.fc18
Comment 7 Fedora Update System 2013-11-13 10:49:14 EST
QMsgBox-0-1.20130830git94677dc.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/QMsgBox-0-1.20130830git94677dc.fc20
Comment 8 Fedora Update System 2013-11-13 13:50:25 EST
QMsgBox-0-1.20130830git94677dc.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2013-11-23 14:34:10 EST
QMsgBox-0-1.20130830git94677dc.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-11-23 14:53:25 EST
QMsgBox-0-1.20130830git94677dc.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-11-23 22:56:54 EST
QMsgBox-0-1.20130830git94677dc.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2013-11-30 21:52:44 EST
QMsgBox-0-1.20130830git94677dc.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.